dxf group codes

Greg had wanted to modify the layer table, turns out I wanted to modify the view table. until a few days ago I had been clueless. but the dxf
codes '(290 . 1) '(370 . -3) are a pair of magic beans - it would seem.
joy.
roy can now create views. he has great plans for not having to draw his window elevations "by hand" anymore. all because I can work from their (10 X Y) group codes, relative. read the door or window designator on the plan view and create it (somewhat automatically) on the elevation. many thanks.
but WHERE THE HECK WAS THIS SECRET KNOWLEDGE HIDDEN? been through the "books", or thought I had. did I miss it?
checked out afralisp, and it is much improved. kudos Kenny. but unless I missed it, 290 and 370 are left out of his DXF table.
???
and one more thing, if I may.
I never did quite get how group codes 10 AND 11 apply to text. whenever I am typing lisp I just modify both of them and say the hell with it. it works. I'd drather undertand.thought for the longest time it had to do with JUSTIFICATION but I am probablly just wrong.
thanks.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Group 10 for text is the insertion point for text that has a horizontal alignment of left AND a vertical alignment of baseline. These are the DEFAULT alignments.
Group 11 is the secondary insertion point for text that is aligned in ANY other way than the default.
A good example would be to draw some standard text on your drawing (without assigning alignment). Click this text and notice the grip, there is only one grip and it is in the lower left corner of the text. (Group 10)
Now draw text with a CENTERED horizontal alignment. Click this text and you will notice it has 2 grips, 1 in the lower left corner of the text (Group 10) and then one at the lower middle of the text (Group 11).
I'm not real sure why you need 2 insertion points for text, seems to me the group 11 point would be fine in both cases.
Anyway, hope this helps.
Greg
roy wrote:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
........

yes, it do. thanks.
I get anal retentive about my text alignment(s) - never use baseline left. can't conceive a place where I would. middle center, top left, top center.
an occasional bottom center......
so I had noticed the grips, but the had NEVER been both in the same place.
cheers
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Just indulging your original question:
DXF code 290 is a layer table item for plottable or not. DXF code 370 is another more common item for assigning a specific lineweight to an item.
To get the entries for lineweight 370 code perform the following:
Draw a simple line were the color is bylayer and lineweight is by layer.
List the DXF codes by entering
(entget (car (entsel)))
at the command line and selecting the object.
it returns the dotted pair for the object. Notice, that it does not list the 370 dotted pair item. Now change the lineweight associated with the object, to say 0.09 mm. Perform the same test again by typing (entget (car (entsel))) at the command line and selecting the object.
Notice the (370 . 9) listed with the entity information. This can be extended to similarly obtain DXF information for layers, blocks, text style and other table items using tableobjname. The syntax would simply be
(entget (tblobjname "LAYER" "Test Layer Name"))
By far this is the most difficult way to handle automation projects but gives you absolute control and speed. Convenient if used with reactor or events depending on what side of the house you program. Remember, you cannot use commands with reactors.
Hope this was helpful.
MJG
roy wrote:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
snipped-for-privacy@lawson-fisher.com wrote:

very much over my head, but I enjoy a challenge. so call it very helpful. I can create views now, so the lisp I am working on will be useful. complete understanding can come later.
thank you.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.